Grants, vesting & distributions

Get Grant Templates

Lists org grant templates with vesting/lockup items and referencing grants flagged for settlements.

GEThttps://api.toku.com/tga/get-grant-templates

Not available to API keys yet. It will need grants:read.

curl --request GET \
  --url 'https://api.toku.com/tga/get-grant-templates' \
  --header 'Authorization: Bearer <token>'
200 response
[
  {
    "orgID": "string",
    "createdAt": "string",
    "templateName": "string",
    "grantTemplateID": "string",
    "templateDescription": "string",
    "frequencyType": "string",
    "lockupFrequencyType": "string",
    "daysBetweenVestingAndFirstLockup": 0,
    "lockupStartDate": "string",
    "eomLogic": true,
    "roundToWholeTokens": true,
    "vestingTemplateItems": [
      {
        "vestingTemplateItemID": "string",
        "grantTemplateID": "string",
        "orgID": "string",
        "ratio": "string",
        "sequence": 0,
        "isOffPlatform": true,
        "timeFrameUnit": 0,
        "createdAt": "string",
        "preferredDate": "string"
      }
    ],
    "lockupTemplateItems": [
      {
        "lockupTemplateItemID": "string",
        "grantTemplateID": "string",
        "orgID": "string",
        "ratio": "string",
        "sequence": 0,
        "timeFrameUnit": 0,
        "createdAt": "string",
        "preferredDate": "string"
      }
    ],
    "grants": [
      {
        "grantName": "string",
        "grantID": "string",
        "vestings": [
          {
            "vestingID": "string"
          }
        ],
        "lockups": [
          {
            "lockupID": "string"
          }
        ]
      }
    ]
  }
]

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Query parameters

orgIDstring<uuid>

Response

200Successful response
orgIDstring | null
createdAtstring | null
templateNamestring | null
grantTemplateIDstring | null
templateDescriptionstring | null
frequencyTypestring | null
lockupFrequencyTypestring | null
daysBetweenVestingAndFirstLockupnumber | null
lockupStartDatestring | null
eomLogicboolean | null
roundToWholeTokensboolean | null
vestingTemplateItemsarray | null
Show child attributes
vestingTemplateItemIDstring | null
grantTemplateIDstring | null
orgIDstring | null
ratiostring | null
sequencenumber | null
isOffPlatformboolean | null
timeFrameUnitnumber | null
createdAtstring | null
preferredDatestring | null
lockupTemplateItemsarray | null
Show child attributes
lockupTemplateItemIDstring | null
grantTemplateIDstring | null
orgIDstring | null
ratiostring | null
sequencenumber | null
timeFrameUnitnumber | null
createdAtstring | null
preferredDatestring | null
grantsarray | null
Show child attributes
grantNamestring | null
grantIDstring | null
vestingsarray | null
Show child attributes
vestingIDstring | null
lockupsarray | null
Show child attributes
lockupIDstring | null
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits